Subject: Re: bug#11735: 24.1.50; "Warning: Unknown defun property ... in ..."

From: Stefan Monnier <[email-masked]>
Date: Mon, 18 Jun 2012 16:37:24 -0400

> I load a library that I did not write, which does this:
> (require 'cl)
> (defun foo 
>     (short full 
>      short-index initial-full-index 
>      chunks current-chunk current-chunk-pos 
>      recurse-p)
>   "..."
>   (declare ;(optimize speed)
>    (fixnum short-index initial-full-index)
>    (simple-string short full)
>    (special *all-chunks*))
 
> Now I see this in *Messages*"
 
> Warning: Unknown defun property fixnum in foo
> Warning: Unknown defun property simple-string in foo
 
> Is this a bug?
 
It's a name-clash between Elisp's `declare' and CL's `declare', which
results in warnings, which AFAIK are harmless.

        Stefan